{% extends 'base.html.twig' %}

{% block title %}Connection{% endblock %}

{% block body %}
<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
    <script>
    window.location="/";
    </script>
    {% endif %}
<style>
body{
  background-image: url({{ asset('assets/img/fond.jpg')}});
}
</style>
<section class="vh-10">
  <div class="container py-3 h-10">
    <div class="row d-flex justify-content-center align-items-center h-100">
      <div class="col col-xl-10">
        <div class="card" style="border-radius: 1rem;">
          <div class="row g-0">
            <div class="col-md-6 col-lg-5 d-none d-md-block">
              <img src="assets/img/Login.png"
                alt="login form" class="img-fluid" style="border-radius: 1rem 0 0 1rem" />
            </div>
            <div class="col-md-6 col-lg-7 d-flex align-items-center" style="background-color: #f0e6df">
              <div class="card-body p-4 p-lg-5 text-black">

                <form>

                  <div class="d-flex align-items-center mb-3 pb-1">
                    <i class="fas fa-cubes fa-2x me-3" style="color: #ff6219;"></i>
                    <span class="h1 fw-bold mb-0">Connection<i class="fa-solid fa-cookie" style="color: #936d1b;"></i></span>
                  </div>

                  <h5 class="fw-normal mb-3 pb-3" style="letter-spacing: 1px;">Connectez-vous à votre compte</h5>

                  <div class="form-outline mb-4">
                                      <label class="form-label" for="username">Pseudo</label>
                    <input type="text"  value="{{ last_username }}" name="username" id="username" autocomplete="email" class="form-control form-control-lg" required autofocus/>
                  </div>
                  <br>

                  <div class="form-outline mb-4">
                                      <label class="form-label" for="inputPassword">Mot de passe</label>
                    <input type="password" name="password" id="inputPassword" class="form-control form-control-lg" autocomplete="current-password" required />
                  </div>
                
                  <button class="btn btn-lg" style="background-color: #A4907C;" type="submit">  Connection </button>
                    <div class="pt-1 mb-4">
                        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                  </div>
                  <p class="mb-1 pb-lg-1" style="color: #393f81;">Vous n'avez pas de compte ? <a href="/inscription"
                      style="color: #A4907C;">Inscrivez-vous ici</a></p>
                      <a href="/"style="color: #A4907C;">Retour</a>
                </form>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>


</form>
{% endblock %}
